using AsteroidGame.Interfaces;
using UnityEngine;

namespace AsteroidGame.Entities
{
    [CreateAssetMenu(fileName = "newTargeterConfiguration", menuName = "Configuration/Targeter")]
    public class STargeterConfig : ScriptableObject
    {
        public float _range;
        public TargetStrategy _selectedTargetStrategy;
        public SEntityBaseRuntimeSet _activeEntities;
        public enum TargetStrategy
        {
            LowestRange,
            LowestHealth
        };
    }
}