using System.Collections.Generic;
using UnityEngine;

namespace AsteroidGame.ScriptableObjects
{
    public abstract class SRuntimeSet<T> : ScriptableObject
    {
        public List<T> _list;

        public void Add(T component)
        {
            _list.Add(component);
        }

        public void Remove(T component)
        {
            _list.Remove(component);
        }
    }
}